using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            string[] linija = Console.ReadLine().Split(' ');
            int[] a = new int[n];
            for(int i = 0; i < n; i++)
                a[i] = int.Parse(linija[i]);
            bool proso = true;
            for(int i = 0; i < n; i++)
            {
                if (l >= a[i])
                {
                    proso = false;
                    Console.WriteLine(i + 1);
                    break;
                }
            }
            if (proso) 
                Console.WriteLine(-1);
        }
    }
}